=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-390
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Luca Boccassi <bluca@debian.org>,
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git
Build-Depends:
 debhelper (>= 10),
 dpkg-dev (>= 1.18.8),
 xz-utils,
 dkms,
 libvulkan1,
 libxext6 [!ppc64el],
 quilt,
 po-debconf,
Build-Conflicts:
 libglvnd-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-390
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 ${nvidia}-driver-libs-390 (= ${binary:Version}) | ${nvidia}-driver-libs-nonglvnd-390 (= ${binary:Version}),
 ${nvidia}-driver-bin-390 (= ${binary:Version}),
 xserver-xorg-video-${nvidia}-390 (= ${binary:Version}),
 ${nvidia}-vdpau-driver-390 (= ${binary:Version}),
 ${nvidia}-alternative-390 (= ${binary:Version}),
 ${nvidia:kmod:binary},
 nvidia-support,
 ${misc:Depends}
Recommends:
 ${nvidia-settings},
 lib${nvidia}-cfg1-390 (= ${binary:Version}),
 nvidia-persistenced-390,
Suggests:
 ${nvidia:kmod:source},
Provides:
 nvidia-driver-any,
 nvidia-glx-any,
Breaks:
 nvidia-glx${nvidia:Variant},
Conflicts:
 ${nvidia}-driver,
 ${nvidia}-driver-460,
 ${nvidia}-driver-470,
 ${nvidia}-driver-510,
Replaces:
 nvidia-glx${nvidia:Variant},
 ${nvidia}-driver,
 ${nvidia}-driver-460,
 ${nvidia}-driver-470,
 ${nvidia}-driver-510,
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-alternative-390
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 dpkg (>= 1.17.21),
 ${nvidia:legacy-check},
Depends:
 glx-alternative-nvidia (>= 0.8.4~) [!ppc64el],
 ${misc:Depends}
Provides:
 ${nvidia}-alternative--kmod-alias,
Breaks:
 nvidia-settings-390 (<< 319.49),
 nvidia-driver-390 (<< 343.22-2~),
 nvidia-vdpau-driver-390 (<< 340.46-2~),
 libcuda1-390 (<< 352.63),
 nvidia-opencl-icd-390 (<< 340.46-2~),
 libnvidia-ifr1-390 (<< 340.46-2~),
 libnvidia-fbc1-390 (<< 340.46-2~),
 libnvidia-encode1-390 (<< 340.46-2~),
 libnvcuvid1-390 (<< 340.46-2~),
 libnvidia-ml1-390 (<< 340.46-2~),
 nvidia-smi-390 (<< 340.46-2~),
Conflicts:
 ${nvidia}-alternative,
 ${nvidia}-alternative-460,
 ${nvidia}-alternative-470,
 ${nvidia}-alternative-510,
Replaces:
 ${nvidia}-alternative,
 ${nvidia}-alternative-460,
 ${nvidia}-alternative-470,
 ${nvidia}-alternative-510,
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: nvidia-kernel-support-390
Section: non-free/kernel
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative-390 (= ${binary:Version}),
 ${nvidia}-alternative--kmod-alias,
 nvidia-kernel-common (>= 20151021) [!ppc64el],
 nvidia-modprobe-390 (>= 352),
 ${misc:Depends}
Provides:
 nvidia-kernel-support-any,
 ${nvidia}-kernel-support-390,
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Conflicts:
 ${nvidia}-kernel-support,
 ${nvidia}-kernel-support-460,
 ${nvidia}-kernel-support-470,
 ${nvidia}-kernel-support-510,
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
 ${nvidia}-kernel-support,
 ${nvidia}-kernel-support-460,
 ${nvidia}-kernel-support-470,
 ${nvidia}-kernel-support-510,
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-kernel-dkms-390
Section: non-free/kernel
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms,
 ${nvidia}-kernel-support-390,
 ${misc:Depends}
Conflicts:
 ${nvidia}-kernel-dkms,
 ${nvidia}-kernel-dkms-460,
 ${nvidia}-kernel-dkms-470,
 ${nvidia}-kernel-dkms-510,
Replaces:
 ${nvidia}-kernel-dkms,
 ${nvidia}-kernel-dkms-460,
 ${nvidia}-kernel-dkms-470,
 ${nvidia}-kernel-dkms-510,
Recommends:
 ${nvidia}-driver-390 (>= ${nvidia:Version}) [!ppc64el] | ${libcuda1} (>= ${nvidia:Version}),
Provides:
 ${nvidia}-kernel-${nvidia:Version},
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-kernel-source-390
Section: non-free/kernel
Architecture: i386 amd64 armhf
Depends:
 debhelper (>= 10),
 make:any,
 quilt,
 xz-utils,
 ${misc:Depends}
Conflicts:
 ${nvidia}-kernel-source,
 ${nvidia}-kernel-source-460,
 ${nvidia}-kernel-source-470,
 ${nvidia}-kernel-source-510,
Replaces:
 ${nvidia}-kernel-source,
 ${nvidia}-kernel-source-460,
 ${nvidia}-kernel-source-470,
 ${nvidia}-kernel-source-510,
Recommends:
 module-assistant | kernel-package,
 ${nvidia}-kernel-support-390,
Suggests:
 ${nvidia}-driver-390 (>= ${nvidia:Version}) [!ppc64el],
Breaks:
 module-assistant (<< 0.11.6~),
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia}-kernel-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-390
Section: non-free/x11
Architecture: i386 amd64 armhf
Pre-Depends:
 nvidia-installer-cleanup,
 ${nvidia:legacy-check},
Depends:
 lib${nvidia}-glcore-390 (= ${binary:Version}),
 ${nvidia}-alternative-390 (= ${binary:Version}),
 nvidia-support,
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver-390 (>= ${nvidia:Version}),
 ${nvidia}-vdpau-driver-390 (>= ${nvidia:Version}),
 ${nvidia:kmod:binary},
 ${nvidia-settings},
Suggests:
 ${nvidia:kmod:source},
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 glx-alternative-nvidia (<< 0.6.91),
Conflicts:
 xserver-xorg-video-${nvidia},
 xserver-xorg-video-${nvidia}-460,
 xserver-xorg-video-${nvidia}-470,
 xserver-xorg-video-${nvidia}-510,
Replaces:
 glx-alternative-nvidia (<< 0.6.91),
 xserver-xorg-video-${nvidia},
 xserver-xorg-video-${nvidia}-460,
 xserver-xorg-video-${nvidia}-470,
 xserver-xorg-video-${nvidia}-510,
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-legacy-check-390
Architecture: i386 amd64 armhf
Multi-Arch: foreign
Pre-Depends:
 debconf | debconf-2.0,
 pciutils,
 nvidia-installer-cleanup (>= 20151021),
Depends:
 ${misc:Depends}
Conflicts:
 nvidia-legacy-check,
 nvidia-legacy-check-460,
 nvidia-legacy-check-470,
 nvidia-legacy-check-510,
Replaces:
 nvidia-legacy-check,
 nvidia-legacy-check-460,
 nvidia-legacy-check-470,
 nvidia-legacy-check-510,
Description: check for NVIDIA GPUs requiring a legacy driver
 This package checks whether the system contains NVIDIA GPUs that are no longer
 supported by the main driver line and require a legacy driver.
 .
 If such hardware is present, a (preseedable) debconf question will be asked to
 confirm the installation of the current driver line.

Package: nvidia-driver-bin-390
Section: non-free/x11
Architecture: i386 amd64 armhf
Depends:
 ${nvidia}-alternative-390 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${nvidia}-driver-390,
Provides:
 nvidia-driver-bin-${nvidia:Version},
Conflicts:
 nvidia-driver-bin-${nvidia:Version},
 ${nvidia}-driver-bin,
 ${nvidia}-driver-bin-460,
 ${nvidia}-driver-bin-470,
 ${nvidia}-driver-bin-510,
Breaks:
 ${nvidia}-driver (<< 343.22-2~),
 nvidia-glx${nvidia:Variant} (<< 319),
Replaces:
 ${nvidia}-driver-390 (<< 343.22-2~),
 nvidia-glx${nvidia:Variant} (<< 319),
 ${nvidia}-driver-bin,
 ${nvidia}-driver-bin-460,
 ${nvidia}-driver-bin-470,
 ${nvidia}-driver-bin-510,
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-cfg1-390
Architecture: i386 amd64 armhf
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${nvidia}-alternative-390 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Breaks:
 libgl1-${nvidia}-glx-390 (<< 355.11-5),
Conflicts:
 lib${nvidia}-cfg1,
 lib${nvidia}-cfg1-460,
 lib${nvidia}-cfg1-470,
 lib${nvidia}-cfg1-510,
Replaces:
 libgl1-${nvidia}-glx (<< 355.11-5),
 lib${nvidia}-cfg1,
 lib${nvidia}-cfg1-460,
 lib${nvidia}-cfg1-470,
 lib${nvidia}-cfg1-510,
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-driver-libs-390
Architecture: i386 amd64 armhf
Multi-Arch: same
Depends:
 libgl1-${nvidia}-glvnd-glx-390 (= ${binary:Version}),
 ${nvidia}-egl-icd-390 (= ${binary:Version}),
 ${misc:Depends}
Recommends:
